<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:mvc="http://www.springframework.org/schema/mvc"
	xmlns:context="http://www.springframework.org/schema/context"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd http://www.springframework.org/schema/mvc http://www.springframework.org/schema/mvc/spring-mvc.xsd http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context.xsd">

	<mvc:annotation-driven />

	<mvc:default-servlet-handler />

	<mvc:resources mapping="/static/**" location="/resources/" />

	<context:component-scan base-package="com.uas.platform" />

	<bean
		class="org.springframework.mobile.device.view.LiteDeviceDelegatingViewResolver">
		<constructor-arg>
			<bean
				class="org.springframework.web.servlet.view.InternalResourceViewResolver">
				<property name="prefix" value="/WEB-INF/views/" />
				<property name="suffix" value=".html" />
				<property name="contentType" value="text/html;charset=UTF-8" />
			</bean>
		</constructor-arg>
		<property name="normalPrefix" value="normal/" />
		<property name="mobilePrefix" value="mobile/" />
		<property name="tabletPrefix" value="tablet/" />
	</bean>

	<mvc:view-controller path="/" view-name="index" />
	<mvc:view-controller path="/signin" view-name="signin" />
</beans>